Subject: 24.4.50; compile.el: gcc-include is now all INFO, not WARNING

From: Dima Kogan <[email-masked]>
Date: Sat, 21 Jun 2014 01:48:21 -0700

The attached patch changes the gcc-include type of "M-x compile" to be
INFO. Let's say I have 3 source files:

a.c:
#include "a.h"

a.h:
#include "b.h"

b.h:
asdf;

Clearly trying to compile a.c fails since b.h has an error. I do M-x
compile, and build with "gcc -c -o a.o a.c". I get a *compilation*
buffer with

 -*- mode: compilation; default-directory: "/tmp/" -*-
 Compilation started at Sat Jun 21 01:43:01

 gcc -c -o a.o a.c
 In file included from a.h:1:0,
                  from a.c:1:
 b.h:1:1: warning: data definition has no type or storage class [enabled by default]
  aadsf;
  ^

 Compilation finished at Sat Jun 21 01:43:01

Prior to this patch the line that contains "from a.h:1:0," was seen as
INFO and the line that contains "from a.c:1:" was seen as a
WARNING. This patch makes them both INFO.

>From 1a7756577d2c6bdeae0d9cea0098ed3b388b8036 Mon Sep 17 00:00:00 2001
From: Dima Kogan <[email-masked]>
Date: Sat, 21 Jun 2014 01:32:59 -0700
Subject: [PATCH] gcc-include compilation lines are now INFO, now WARNING

This patch changes the gcc-include type of "M-x compile" to be
INFO. Let's say I have 3 source files:

a.c:

a.h:

b.h:
asdf;

Clearly trying to compile a.c fails since b.h has an error. I do M-x
compile, and build with "gcc -c -o a.o a.c". I get a *compilation*
buffer with

 -*- mode: compilation; default-directory: "/tmp/" -*-
 Compilation started at Sat Jun 21 01:43:01

 gcc -c -o a.o a.c
 In file included from a.h:1:0,
                  from a.c:1:
 b.h:1:1: warning: data definition has no type or storage class [enabled by default]
  aadsf;
  ^

 Compilation finished at Sat Jun 21 01:43:01

Prior to this patch the line that contains "from a.h:1:0," was seen as
INFO and the line that contains "from a.c:1:" was seen as a
WARNING. This patch makes them both INFO.
---
 lisp/progmodes/compile.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/compile.el b/lisp/progmodes/compile.el
index 000d719..ea2bfc4 100644
--- a/lisp/progmodes/compile.el
+++ b/lisp/progmodes/compile.el
@@ -226,8 +226,8 @@ of[ \t]+\"?\\([a-zA-Z]?:?[^\":\n]+\\)\"?:" 3 2 nil (1))
     (gcc-include
      "^\\(?:In file included \\|                 \\|\t\\)from \
 \\([0-9]*[^0-9\n]\\(?:[^\n :]\\| [^-/\n]\\|:[^ \n]\\)*?\\):\
-\\([0-9]+\\)\\(?::\\([0-9]+\\)\\)?\\(?:\\(:\\)\\|\\(,\\|$\\)\\)?"
-     1 2 3 (4 . 5))
+\\([0-9]+\\)\\(?::\\([0-9]+\\)\\)?\\(?:\\([:,]\\|$\\)\\)?"
+     1 2 3 (nil . 4))
 
     (ruby-Test::Unit
      "^[\t ]*\\[\\([^\(].*\\):\\([1-9][0-9]*\\)\\(\\]\\)?:in " 1 2)
-- 
2.0.0